function [interpolated]=InterpolateTable(age,data,fraction)
len=length(data);
ai=age(1);
af=age(len);
delt=(af-ai)/(fraction*len);
inter3=pchip(age,data,ai:delt:af);
inter1=interp1(age,data,ai:delt:af,'linear');
f1=Flux(inter1);
f3=Flux(inter3);

%Graph of First Order Interpolation
figure
plot(ai:delt:af,inter1,'r-')
set(gca,'FontSize',16);
title('First Order Interpolation')

%Diagnostic graph to compare
%1st and 3rd order interpolation
Deg1=Degrade(abs(inter1-inter3),2);
Deg2=Degrade(f1,2);
Deg3=Degrade(f3,2);
list=(2.*Deg1./(Deg2+Deg3));
figure
deltalist=(af-ai)/(length(list)-1);
xlist=ai:deltalist:af;
plot(xlist,list)
set(gca,'FontSize',16);
title('Diagnostic of 1st vs 3rd order interpolation')

%Calculation of the RMS error between 
%the 1st and 3rd order interpolation
error=std(inter1-inter3);
std1=std(f1);
std3=std(f3);
relative=2*error/(std1+std3);

%Calculates the maximum relative error
m1=max(f1);
m3=max(f3);
RME=2*(m1-m3)/(m1+m3);

disp('RMS error between 1st and 3rd order interpolation:')
disp(relative)
disp('Relative Maximum Error:')
disp(RME)

interpolated=inter1;